Subject: Re: Deprecating Automount (was Re: Why not mount / at C: ?)
From: Earnie Boyd <[email-masked]>
To: Jason Tishler <[email-masked]>
Cc: [email-masked]
Date: Thu, 24 Aug 2000 07:58:04 -0700 (PDT)

--- Jason Tishler <[email-masked]> wrote:
> Earnie,
> 
> On Thu, Aug 24, 2000 at 04:54:35AM -0700, Earnie Boyd wrote:
> > I'm beginning to think that it would be best to not support unmounted
> drives
> > in the Cygwin environment.  It gets far to confusing and there are
> solutions
> > around not having the support.  Saying this, IMO, we should deprecate the
> > unmounted drives support.  What do you think?
> 
> Sorry but I disagree.  I think that the automount feature is very
> useful and should not be deprecated.  For example, I really like being
> able to access a mounted share as /cygdrive/X (where X is the associated
> drive letter) and my floppy drive as /cygdrive/A without cluttering up my
> mount table.
> 
> However, I must admit that I'm biased since I contributed a patch to
> enhance Cygwin's automount feature...
> 

Ok, make it switchable with the default being turned off.  The switch could be
`CYGWIN=... automount ...'.  Here's a scenario for you to try, `cd /cygdrive/c
&& cd ..'.

Cheers,

=====
---
   Earnie Boyd: <mailto:[email-masked]>
            __Cygwin: POSIX on Windows__
Cygwin Newbies: <http://gw32.freeyellow.com/>
           __Minimalist GNU for Windows__
  Mingw32 List: <http://www.egroups.com/group/mingw32/>
    Mingw Home: <http://www.mingw.org/>

__________________________________________________
Do You Yahoo!?
Yahoo! Mail - Free email you can access from anywhere!
http://mail.yahoo.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]